docker 报错:x509: certificate has expired or is not yet valid

x509: certificate has expired or is not yet valid是由于系统时间错误导致,可以先用date命令确定本地时间是否正确。如果本地时间错误,可以尝试使用ntp同步系统时间。

ntpdate cn.pool.ntp.org

PS:如果找不到ntp命令,可以使用如下的命令进行安装

yum instal ntp
阅读更多
换一批

Glassfish SEC5054: Certificate has expired

04-07

[code=text]rn严重: SEC5054: Certificate has expired: [rn[rn Version: V3rn Subject: CN=GTE CyberTrust Root 5, OU="GTE CyberTrust Solutions, Inc.", O=GTE Corporation, C=USrn Signature Algorithm: SHA1withRSA, OID = 1.2.840.113549.1.1.5rn Key: Sun RSA public key, 2048 bitsrn modulus: 23741889829347261660812437366387754385443431973861114865490414153884050331745811968523116847625570146592736935209718565296053386842135985534863157983128812774162998053673746470782252407673402238146869994438729551246768368782318393878374421033907597162218758024581735139682087126982809511479059100617027892880227587855877479432885604404402435662802390484099065871430585284534529627347717530352189612077130606642676951640071336717026459037542552927905851171460589361570392199748753414855675665635003335769915908187224347232807336022456537328962095005323382940080676931822787496212635993279098588863972868266229522169377rn public exponent: 65537rn Validity: [From: Fri Aug 14 22:50:00 CST 1998,rn To: Thu Aug 15 07:59:00 CST 2013]rn Issuer: CN=GTE CyberTrust Root 5, OU="GTE CyberTrust Solutions, Inc.", O=GTE Corporation, C=USrn SerialNumber: [ 01b6]rnCertificate Extensions: 4rn[1]: ObjectId: 2.5.29.19 Criticality=truernBasicConstraints:[rn CA:truern PathLen:5rn]rn[2]: ObjectId: 2.5.29.32 Criticality=falsernCertificatePolicies [rn [CertificatePolicyId: [1.2.840.113763.1.2.1.3]rn[] ]rn]rn[3]: ObjectId: 2.5.29.15 Criticality=truernKeyUsage [rn Key_CertSignrn Crl_Signrn]rn[4]: ObjectId: 2.5.29.14 Criticality=falsernSubjectKeyIdentifier [rnKeyIdentifier [rn0000: 76 0A 49 21 38 4C 9F DE F8 C4 49 C7 71 71 91 9D v.I!8L....I.qq..rn]rn]rn]rn Algorithm: [SHA1withRSA]rn Signature:rn0000: 41 3A D4 18 5B DA B8 DE 21 1C E1 8E 09 E5 F1 68 A:..[...!......hrn0010: 34 FF DE 96 F4 07 F5 A7 3C F3 AC 4A B1 9B FA 92 4.......<..J....rn0020: FA 9B ED E6 32 21 AA 4A 76 C5 DC 4F 38 E5 DF D5 ....2!.Jv..O8...rn0030: 86 E4 D5 C8 76 7D 98 D7 B1 CD 8F 4D B5 91 23 6C ....v......M..#lrn0040: 8B 8A EB EA 7C EF 14 94 C4 C6 F0 1F 4A 2D 32 71 ............J-2qrn0050: 63 2B 63 91 26 02 09 B6 80 1D ED E2 CC B8 7F DB c+c.&...........rn0060: 87 63 C8 E1 D0 6C 26 B1 35 1D 40 66 10 1B CD 95 .c...l&.5.@f....rn0070: 54 18 33 61 EC 13 4F DA 13 F7 99 AF 3E D0 CF 8E T.3a..O.....>...rn0080: A6 72 A2 B3 C3 05 9A C9 27 7D 92 CC 7E 52 8D B3 .r......'....R..rn0090: AB 70 6D 9E 89 9F 4D EB 1A 75 C2 98 AA D5 02 16 .pm...M..u......rn00A0: D7 0C 8A BF 25 E4 EB 2D BC 98 E9 58 38 19 7C B9 ....%..-...X8...rn00B0: 37 FE DB E2 99 08 73 06 C7 97 83 6A 7D 10 01 2F 7.....s....j.../rn00C0: 32 B9 17 05 4A 65 E6 2F CE BE 5E 53 A6 82 E9 9A 2...Je./..^S....rn00D0: 53 0A 84 74 2D 83 CA C8 94 16 76 5F 94 61 28 F0 S..t-.....v_.a(.rn00E0: 85 A7 39 BB D7 8B D9 A8 B2 13 1D 54 09 34 24 7D ..9........T.4$.rn00F0: 20 81 7D 66 7E A2 90 74 5C 10 C6 BD EC AB 1B C2 ..f...t\.......rn]rn[/code]rnrn度娘说是证书错误。rnrn[code=text] keytool -delete -alias verisignserverca -keystore domain-dir /config/cacerts.jks [/code]rnverisignserverca这个证书找不到,我就把与verisign 、server有关的证书全部删除了!rnrnv2.1.1 捆绑的 CA 证书已过期。rn说明rn自 2010 年 1 月 8 日起,Sun GlassFish Enterprise Server v2.1.1 捆绑的 CA 证书已过期。因此,在启动域时,您可能会看到某些 SEVERE 消息。 rnrn解决方法rn从密钥库中删除过期的证书。要从 JKS 密钥库中删除证书,请使用以下命令: rnrnkeytool delete -alias verisignserverca -keystore domain-dir /config/cacerts.jks rnrn要从 NSS 密钥库中删除证书,请使用以下命令: rnrncertutil -D -n verisignserverca -d domain-dir/config rnrn上面是ORACLE给的方法!rnrn但都 没有解决!!rnrn

没有更多推荐了,返回首页